# Destination

enum Destination : Serializable

Enumerates possible output streams for TestOutputEvent.

#### Since

6.0

## Entries

StdOut
Link copied to clipboard
StdOut
StdErr
Link copied to clipboard
StdErr

## Properties

code
Link copied to clipboard
val code: Int

## Functions

fromCode
Link copied to clipboard
open fun fromCode(code: Int): Destination
valueOf
Link copied to clipboard
open fun valueOf(name: String): Destination

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<Destination>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.